curl --request GET \
--url https://api.steuerboard.com/v1/admin/clients/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.steuerboard.com/v1/admin/clients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.steuerboard.com/v1/admin/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q19z",
"name": "Muster GmbH",
"slug": "muster-gmbh",
"type": "legal_person",
"customId": "ABC123",
"legalName": "Muster GmbH",
"archivedAt": "2021-01-01T00:00:00Z",
"datevClientId": "ABC123",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"status_code": 404,
"type": "not_found",
"code": "not_found",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"id"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.Get a client
Returns a single client by ID.
Authorizations
Bearer token authentication
Path Parameters
The ID of the item
"cmf41ajzv003706un4i99q19z"
Response
Client
The ID of the client
"cmf41ajzv003706un4i99q19z"
The name of the client
"Muster GmbH"
The slug of the client
"muster-gmbh"
The type of the client. 'natural_person' for individuals, 'legal_person' for companies like UG, GmbH, AG, Ltd., Inc., etc. and 'individual_enterprise' for sole proprietorships.
natural_person, individual_enterprise, legal_person "legal_person"
The client's custom ID can be defined by the accountant
"ABC123"
The legal name of the client
"Muster GmbH"
The date and time the client was archived. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The client's ID in DATEV
"ABC123"
The date and time of the creation for the client. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The date and time of the last update for the client. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"